%define upstream_name    ldap
%define upstream_version 0.44

Summary:	Perl modules for ldap

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	4
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{upstream_version}.tar.gz
Patch0:		perl-ldap-make_test_config_fixes.diff
BuildRequires:	perl-devel
BuildRequires:	openldap-servers
BuildRequires:	perl(Carp)
BuildRequires:	perl(Convert::ASN1)
BuildRequires:	perl(Encode)
BuildRequires:	perl(HTTP::Status)
BuildRequires:	perl(HTTP::Negotiate)
BuildRequires:	perl(HTTP::Response)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(IO::Socket::INET6)
BuildRequires:	perl(LWP::MediaTypes)
BuildRequires:	perl(LWP::Protocol)
BuildRequires:	perl(Authen::SASL) >= 2.00
BuildRequires:	perl(URI::ldap) >= 1.1
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(XML::SAX::Base)
BuildRequires:	perl(XML::SAX::Writer)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(LWP::UserAgent)

BuildArch:	noarch

%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep
%setup -q -n %{name}-%{upstream_version}
%patch0 -p1

# perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"
chmod 644 contrib/*

cat > test.cfg << EOF
\$SERVER_EXE = "%{_sbindir}/slapd";
\$SERVER_TYPE = "openldap2+ssl+ipc+sasl";
\$SLAPD_DB = "bdb";
\$HOST = "127.0.0.1";
\$SCHEMA_DIR = "%{_datadir}/openldap/schema";
\$EXTERNAL_TESTS = 0;
1;
EOF

%build
find -name \*.pm | xargs chmod 644
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc CREDITS README contrib
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.440.0-4
+ Revision: 03875c6
- MassBuild#440: Increase release tag


